

//*******************************************************************************
//Begin "Cigaret" object  Dim: 5/16 in diameter, length determined by CigLength
//given in 16th's plus 18.   Object centered on origin.    Needs a #declare CigLength = 50? line before it.

#declare Cigaret= union {

merge {
cylinder { 0, <18,0,0>, 2.5
          texture { pigment {
                             spotted
                             color_map { [.9 rgb <.65,.47,.28>]
                                         [.95 DarkBrown]
                                         [.97 NewTan]
                                         [1.0 Tan]
                                       }
                            }
                    scale .001
                   }
         }
cylinder {<-0.00001,0,0>,<18,0,0>,2.45
          pigment{
                  marble
                  turbulence 2
                  color_map{
                            [.1 rgb <1,1,.8>]
                            [1 rgb <.9,.9,.5>]
                           }
                  rotate 90*y
                 }
         }
      }
cylinder {<0,0,0>,<1,0,0>, 2.5
          texture { pigment {
                             gradient x
                             color_map { [.9 White*.8]
                                         [.95 White*.7]
                                         [1.0 Black]
                                       }
                            }
                   }
          scale <CigLength,1,1>
          translate 18*x
         }

// uses image color index as height, extends along X-Z axes
// from <0 0 0> to <1 1 1>
intersection { cylinder {<.5,0,.5> <.5,1,.5>,.5
                          }
                 height_field {
                               gif "Cherryg.gif" // the file to read (iff/gif/tga/png/sys)
                               texture {
                                        pigment {
                                                  image_map {tga "Cherry.tga"
                                                  map_type 0
                                                  interpolate 2
                                                  once
                                                }
                                        rotate x*90 // lay X-Y image map down onto X-Z height field plane
                                       }
                              }
             }
             translate <-.5,0,-.5>
             rotate -90*z
             scale <5,5,5>
             translate (CigLength+18)*x

}
translate -1*(CigLength+18)/2*x
scale 1/16
}

//End Cigaret object
//**************************************************************************************




//**************************************************************************************
//Begin "CigBut" same as Cigaret but with a black cherry

#declare CigBut= union {

merge {
cylinder { 0, <18,0,0>, 2.5
          texture { pigment {
                             spotted
                             color_map { [.9 rgb <.65,.47,.28>]
                                         [.95 DarkBrown]
                                         [.97 NewTan]
                                         [1.0 Tan]
                                       }
                            }
                    scale .001
                   }
         }
cylinder {<-0.00001,0,0>,<18,0,0>,2.45
          pigment{
                  marble
                  turbulence 1
                  color_map{
                            [.1 rgb <1,1,.8>]
                            [1 rgb <.9,.9,.5>]
                           }
                  rotate 90*y
                 }
         }
      }
cylinder {<0,0,0>,<1,0,0>, 2.5
          texture { pigment {
                             gradient x
                             color_map { [.9 White*.8]
                                         [.95 White*.7]
                                         [1.0 Black]
                                       }
                            }
                   }
          scale <CigLength,1,1>
          translate 18*x
         }

// uses image color index as height, extends along X-Z axes
// from <0 0 0> to <1 1 1>
intersection { cylinder {<.5,0,.5> <.5,1,.5>,.5
                        }
               height_field {
                             gif "Cherryg.gif" // the file to read (iff/gif/tga/png/sys)
                             texture {
                                      pigment {
                                               Black
                                              }
                                     }
                            }

               translate <-.5,0,-.5>
               rotate -90*z
               scale <5,5,5>
               translate (CigLength+18)*x

              }
translate -1*(CigLength+18)/2*x
scale 1/16
}

